Bug 53595 - Device element patch 0: adding compilation guards to conditionally compile all future related patches.
Summary: Device element patch 0: adding compilation guards to conditionally compile al...
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Leandro Graciá Gil
URL:
Keywords:
Depends on:
Blocks: 43572 53776
  Show dependency treegraph
 
Reported: 2011-02-02 07:55 PST by Leandro Graciá Gil
Modified: 2012-09-19 07:20 PDT (History)
8 users (show)

See Also:


Attachments
Patch (25.60 KB, patch)
2011-02-02 08:26 PST, Leandro Graciá Gil
no flags Details | Formatted Diff | Diff
Patch (26.99 KB, patch)
2011-02-04 09:49 PST, Leandro Graciá Gil
no flags Details | Formatted Diff | Diff
Patch (27.01 KB, patch)
2011-02-10 06:18 PST, Leandro Graciá Gil
no flags Details | Formatted Diff | Diff
Patch (27.97 KB, patch)
2011-03-08 11:52 PST, Leandro Graciá Gil
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leandro Graciá Gil 2011-02-02 07:55:00 PST
This patch does not introduce any code, but prepares the ground for the next ones. This should be required independently of the approach taken later to implement the device tag.
Comment 1 Leandro Graciá Gil 2011-02-02 08:26:37 PST
Created attachment 80914 [details]
Patch
Comment 2 Leandro Graciá Gil 2011-02-02 08:27:55 PST
The bug https://bugs.webkit.org/show_bug.cgi?id=40878 was used as template for this patch.
Comment 3 Leandro Graciá Gil 2011-02-04 09:49:41 PST
Created attachment 81236 [details]
Patch
Comment 4 Leandro Graciá Gil 2011-02-04 09:50:14 PST
Added missing features.pri file.
Comment 5 Eric Seidel (no email) 2011-02-07 15:20:46 PST
Comment on attachment 81236 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=81236&action=review

This patch seems OK.  I'm not sure what the current thinking on the device element is.

> Source/WebCore/ChangeLog:8
> +        No new tests. (OOPS!)

This will cause the cq to fail.
Comment 6 Andrei Popescu 2011-02-07 15:47:58 PST
(In reply to comment #5)
> (From update of attachment 81236 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=81236&action=review
> 
> This patch seems OK.  I'm not sure what the current thinking on the device element is.
> 

There is an early draft spec at:

http://www.whatwg.org/specs/web-apps/current-work/complete/commands.html#devices

As far as I understand, this draft needs implementation feedback at this point.

> > Source/WebCore/ChangeLog:8
> > +        No new tests. (OOPS!)
> 
> This will cause the cq to fail.
Comment 7 Leandro Graciá Gil 2011-02-10 06:18:04 PST
Created attachment 81969 [details]
Patch
Comment 8 Leandro Graciá Gil 2011-02-10 06:19:41 PST
(In reply to comment #5)
> (From update of attachment 81236 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=81236&action=review
> 
> This patch seems OK.  I'm not sure what the current thinking on the device element is.
> 
> > Source/WebCore/ChangeLog:8
> > +        No new tests. (OOPS!)
> 
> This will cause the cq to fail.

Fixed.
Comment 9 Leandro Graciá Gil 2011-03-08 11:52:04 PST
Created attachment 85070 [details]
Patch
Comment 10 Leandro Graciá Gil 2011-03-08 11:56:44 PST
Patch rebased. Adding guard settings to DerivedSources.make.
Comment 11 Eric Seidel (no email) 2011-04-18 09:12:14 PDT
Comment on attachment 85070 [details]
Patch

Cleared review? from attachment 85070 [details] so that this bug does not appear in http://webkit.org/pending-review.  If you would like this patch reviewed, please attach it to a new bug (or re-open this bug before marking it for review again).